Package twisted :: Package names :: Module client

[show private | hide private]
[frames | no frames]

## Module twisted.names.client

Asynchronous client DNS

API Stability: Unstable

Future plans: Proper nameserver acquisition on Windows/MacOS, better caching, respect timeouts

Author: Jp Calderone<mailto:exarkun@twistedmatrix.com>

Classes
`DNSClientFactory` |
`Resolver` |
`ThreadedResolver` |

Function Summary
| `createResolver(servers)`

Variable Summary
`int` | `k`
`instance method` | `lookupAddress`
`instance method` | `lookupAddress6`
`instance method` | `lookupAFSDatabase`
`instance method` | `lookupAllRecords`
`instance method` | `lookupAuthority`
`instance method` | `lookupCanonicalName`
`instance method` | `lookupHostInfo`
`instance method` | `lookupIPV6Address`
`instance method` | `lookupMailBox`
`instance method` | `lookupMailboxInfo`
`instance method` | `lookupMailExchange`
`instance method` | `lookupMailGroup`
`instance method` | `lookupMailRename`
`instance method` | `lookupNameservers`
`instance method` | `lookupNull`
`instance method` | `lookupPointer`
`instance method` | `lookupResponsibility`
`instance method` | `lookupService`
`instance method` | `lookupText`
`instance method` | `lookupWellKnownServices`
`instance method` | `lookupZone`
`_Feature` | `nested_scopes`
`Platform` | `platform`
`ResolverChain` | `theResolver`
`str` | `v`

Variable Details

### k

  Type:
    `int`
  Value:

        255

### lookupAddress

`lookupAddress` = `twisted.names.common.ResolverBase.lookupAddress`

### lookupAddress6

`lookupAddress6` = `twisted.names.common.ResolverBase.lookupAddress6`

### lookupAFSDatabase

`lookupAFSDatabase` = `twisted.names.common.ResolverBase.lookupAFSDatabase`

### lookupAllRecords

`lookupAllRecords` = `twisted.names.resolve.ResolverChain.lookupAllRecords`

### lookupAuthority

`lookupAuthority` = `twisted.names.common.ResolverBase.lookupAuthority`

### lookupCanonicalName

`lookupCanonicalName` = `twisted.names.common.ResolverBase.lookupCanonicalName`

### lookupHostInfo

`lookupHostInfo` = `twisted.names.common.ResolverBase.lookupHostInfo`

### lookupIPV6Address

`lookupIPV6Address` = `twisted.names.common.ResolverBase.lookupIPV6Address`

### lookupMailBox

`lookupMailBox` = `twisted.names.common.ResolverBase.lookupMailBox`

### lookupMailboxInfo

`lookupMailboxInfo` = `twisted.names.common.ResolverBase.lookupMailboxInfo`

### lookupMailExchange

`lookupMailExchange` = `twisted.names.common.ResolverBase.lookupMailExchange`

### lookupMailGroup

`lookupMailGroup` = `twisted.names.common.ResolverBase.lookupMailGroup`

### lookupMailRename

`lookupMailRename` = `twisted.names.common.ResolverBase.lookupMailRename`

### lookupNameservers

`lookupNameservers` = `twisted.names.common.ResolverBase.lookupNameservers`

### lookupNull

`lookupNull` = `twisted.names.common.ResolverBase.lookupNull`

### lookupPointer

`lookupPointer` = `twisted.names.common.ResolverBase.lookupPointer`

### lookupResponsibility

`lookupResponsibility` = `twisted.names.common.ResolverBase.lookupResponsibility`

### lookupService

`lookupService` = `twisted.names.common.ResolverBase.lookupService`

### lookupText

`lookupText` = `twisted.names.common.ResolverBase.lookupText`

### lookupWellKnownServices

`lookupWellKnownServices` = `twisted.names.common.ResolverBase.lookupWellKnownServices`

### lookupZone

`lookupZone` = `twisted.names.common.ResolverBase.lookupZone`

### nested_scopes

  Type:
    `_Feature`
  Value:

        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

### platform

  Type:
    `Platform`
  Value:

        <twisted.python.runtime.Platform instance at 0x820ae84>

### theResolver

  Type:
    `ResolverChain`
  Value:

        <twisted.names.resolve.ResolverChain instance at 0x8531b6c>

### v

  Type:
    `str`
  Value:

        'lookupAllRecords'

Generated by Epydoc 1.1 on Thu May 8 13:18:34 2003 | http://epydoc.sf.net